using System;
using System.Diagnostics;
using System.Reflection;
using System.Windows.Forms;

namespace OpenCVStudio_v0
{
    public partial class AboutForm : Form
    {
        public AboutForm()
        {
            InitializeComponent();

            Version? version =
                Assembly.GetExecutingAssembly()
                        .GetName()
                        .Version;

            label1.Text = "OpenCVStudio_v1 ";

            label2.Text =
                $"Версия {version?.Major}.{version?.Minor}.{version?.Build}";

            label3.Text =
                "Визуальная среда разработки алгоритмов\r\n" +
                "машинного зрения на базе OpenCVSharp.";

            label4.Text =
                "Разработчик: Андриянов Сергей Васильевич";

            linkLabel1.Text = "www.asv-lab.ru";
            linkLabel2.Text = "asv-lab@yandex.ru";
        }

        private void buttonclose_Click(
            object sender,
            EventArgs e)
        {
            Close();
        }

        private void linkLabel1_LinkClicked(
            object sender,
            LinkLabelLinkClickedEventArgs e)
        {
            Process.Start(new ProcessStartInfo
            {
                FileName = "https://www.asv-lab.ru",
                UseShellExecute = true
            });
        }

        private void linkLabel2_LinkClicked(
            object sender,
            LinkLabelLinkClickedEventArgs e)
        {
            Process.Start(new ProcessStartInfo
            {
                FileName = "mailto:asv-lab@yandex.ru",
                UseShellExecute = true
            });
        }
    }
}